'use strict';

// const _ = require('lodash');
const meta = require('./.personchat.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 私人聊天表管理
class PersonchatController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.personchat;
  }

  async received() {
    await this.service.received(this.ctx.request.body);
    this.ctx.ok({ });
  }
}

module.exports = CrudController(PersonchatController, meta);
